wxWidgets: wxPersistentTLW Class Reference

| Version: 3.0.4

Public Member Functions | List of all members
wxPersistentTLW Class Reference

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/persist/toplevel.h>`

Inheritance diagram for wxPersistentTLW:
[legend]

## Detailed Description

Persistence adapter for wxTopLevelWindow.

This adapter saves and restores the geometry (i.e. position and size) and the state (iconized, maximized or normal) of top level windows. It can be used with both wxFrame and wxDialog.

Note that it does not save nor restore the window visibility.

## Public Member Functions
| wxPersistentTLW (wxTopLevelWindow *book)
| Constructor. More...
virtual void | Save () const
| Save the current window geometry. More...
virtual bool | Restore ()
| Restore the window geometry. More...
Public Member Functions inherited from wxPersistentWindow< wxTopLevelWindow >
| wxPersistentWindow (WindowType *win)
| Constructor for a persistent window object. More...
WindowType * | Get () const
virtual wxString | GetName () const
| Implements the base class pure virtual method using wxWindow::GetName(). More...
Public Member Functions inherited from wxPersistentObject
| wxPersistentObject (void *obj)
| Constructor takes the object which we're associated with. More...
virtual | ~wxPersistentObject ()
| Trivial but virtual destructor. More...
void * | GetObject () const
| Return the associated object. More...
virtual wxString | GetKind () const =0
| Returns the string uniquely identifying the objects supported by this adapter. More...

## Additional Inherited Members
Public Types inherited from wxPersistentWindow< wxTopLevelWindow >
typedef wxTopLevelWindow | WindowType
| The type of the associated window. More...
Protected Member Functions inherited from wxPersistentObject
template<typename T >
bool | SaveValue (const wxString &name, T value) const
| Save the specified value using the given name. More...
template<typename T >
bool | RestoreValue (const wxString &name, T *value)
| Restore the value saved by Save(). More...

## Constructor & Destructor Documentation

## ◆ wxPersistentTLW()

wxPersistentTLW::wxPersistentTLW | ( | wxTopLevelWindow * | book | ) |

Constructor.

Parameters

  book | The associated window.

## Member Function Documentation

## ◆ Restore()

virtual bool wxPersistentTLW::Restore | ( |  | ) |
| virtual

Restore the window geometry.

Implements wxPersistentObject.

## ◆ Save()

virtual void wxPersistentTLW::Save | ( |  | ) | const
| virtual

Save the current window geometry.

Implements wxPersistentObject.